/*****************************************************************************************
*                                                                                        *
* This SAS program will extract the United States Sentencing Commission's 2019 Mandatory *
* Minimum Penalties For Sex Offenses In The Federal Criminal Justice System: Sexual Abuse*
* Offenses report file and create a SAS dataset.                                         *
*                                                                                        *
* Prior to running the program you must update the DAT file location in the FILNAME line *
* to correspond to the location of the file on your computer.                            *
*                                                                                        *
* You must also update the library location in the LIBNAME statement to correspond to    *
* the folder you want the output file to be located.                                     *
*                                                                                        *
*****************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
FILENAME datafile './USSC_SA_MM_Report_2019_Public.dat' ;

/* The following line should contain the directory in which you wish your SAS file to be stored */
libname library '.' ;

/* The following line contains the name (without the extension) for your SAS dataset */
%LET dataset = USSC_SA_MM_Report_2019_Public ;

DATA library.&dataset ;
INFILE datafile LRECL=31;
INPUT
   USSCIDN  1-7             mandatory  8-15          mandatory2  16-23     
   newrace2  24-31        ;                       

LABEL
   USSCIDN = "USSCIDN"
;

LENGTH
   USSCIDN 6                mandatory 3              mandatory2 3          
   newrace2 3 ;

      

RUN ;
